MailerLite
MailerLite is an intuitive email marketing platform that offers automation, landing pages, and subscriber management for businesses and creators.
Categories: Marketing Automation
Type: mailerLite/v1
Connections
Version: 1
bearer_token
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| token | API Token | STRING | API Token needed for authorization. | true |
Connection Setup
Find API Token
- Navigate to your MailerLite dashboard.
- Click on Integrations.
- Click on API.
- Click on Generate new token.
- Enter name of your API token.
- Enable Terms of Use.
- Click on Create token.
- Copy your API token because you will not be able to see the full token again.
- Exit the popup window.
Actions
Add Subscriber to Group
Name: addSubscriberToGroup
Adding a subscriber to a selected group.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| subscriber_id | Subscriber Email | STRING | ID of the user that will be added to the selected group. | true |
| group_id | Group ID | STRING | ID of the group to which the user will be added. | true |
Example JSON Structure
{
"label" : "Add Subscriber to Group",
"name" : "addSubscriberToGroup",
"parameters" : {
"subscriber_id" : "",
"group_id" : ""
},
"type" : "mailerLite/v1/addSubscriberToGroup"
}Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| data | OBJECT Properties{STRING(id), STRING(name), INTEGER(active_count), INTEGER(sent_count), INTEGER(opens_count), {NUMBER(float), STRING(string)}(open_rate), INTEGER(clicks_count), {NUMBER(float), STRING(string)}(click_rate), INTEGER(unsubscribed_count), INTEGER(unconfirmed_count), INTEGER(bounced_count), INTEGER(junk_count), STRING(created_at)} |
Output Example
{
"data" : {
"id" : "",
"name" : "",
"active_count" : 1,
"sent_count" : 1,
"opens_count" : 1,
"open_rate" : {
"float" : 0.0,
"string" : ""
},
"clicks_count" : 1,
"click_rate" : {
"float" : 0.0,
"string" : ""
},
"unsubscribed_count" : 1,
"unconfirmed_count" : 1,
"bounced_count" : 1,
"junk_count" : 1,
"created_at" : ""
}
}Find Subscriber ID
To find the Subscriber ID, click here.
Find Group ID
To find the Group ID, click here.
Create or Update Subscriber
Name: createOrUpdateSubscriber
Create new user or update an existing user.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| null | STRING | The email address of the subscriber. | true | |
| group_id | Group ID | STRING | ID of the group to which you want to add the subscriber to. | false |
Example JSON Structure
{
"label" : "Create or Update Subscriber",
"name" : "createOrUpdateSubscriber",
"parameters" : {
"email" : "",
"group_id" : ""
},
"type" : "mailerLite/v1/createOrUpdateSubscriber"
}Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| data | OBJECT Properties{STRING(id), STRING(email), STRING(status), STRING(source), INTEGER(sent), INTEGER(opens_count), INTEGER(clicks_count), INTEGER(open_rate), INTEGER(click_rate), STRING(subscribed_at), STRING(created_at), STRING(updated_at), [](fields), [](groups)} |
Output Example
{
"data" : {
"id" : "",
"email" : "",
"status" : "",
"source" : "",
"sent" : 1,
"opens_count" : 1,
"clicks_count" : 1,
"open_rate" : 1,
"click_rate" : 1,
"subscribed_at" : "",
"created_at" : "",
"updated_at" : "",
"fields" : [ ],
"groups" : [ ]
}
}Find Group ID
To find the Group ID, click here.
Remove Subscriber from Group
Name: removeSubscriberFromGroup
Remove selected subscriber from the group.
Properties
| Name | Label | Type | Description | Required |
|---|---|---|---|---|
| subscriber_id | Subscriber | STRING | ID of the user that will be added to the selected group. | true |
| group_id | Group ID | STRING | ID of the group to which the user will be added. | true |
Example JSON Structure
{
"label" : "Remove Subscriber from Group",
"name" : "removeSubscriberFromGroup",
"parameters" : {
"subscriber_id" : "",
"group_id" : ""
},
"type" : "mailerLite/v1/removeSubscriberFromGroup"
}Output
This action does not produce any output.
Find Subscriber ID
To find the Subscriber ID, click here.
Find Group ID
To find the Group ID, click here.
Triggers
Subscriber Added to the Group
Name: subscriberAddedToGroup
Triggers when a subscriber is added to the group.
Type: DYNAMIC_WEBHOOK
Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| data | OBJECT Properties{STRING(account_id), STRING(id), STRING(email), STRING(status), STRING(source), INTEGER(sent), INTEGER(opens_count), INTEGER(clicks_count), INTEGER(open_rate), INTEGER(click_rate), STRING(subscribed_at), STRING(created_at), STRING(updated_at), [](fields), [](groups)} |
JSON Example
{
"label" : "Subscriber Added to the Group",
"name" : "subscriberAddedToGroup",
"type" : "mailerLite/v1/subscriberAddedToGroup"
}Subscriber Created
Name: subscriberCreated
Triggers when a subscriber is created.
Type: DYNAMIC_WEBHOOK
Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| data | OBJECT Properties{STRING(id), STRING(email), STRING(status), STRING(source), INTEGER(sent), INTEGER(opens_count), INTEGER(clicks_count), INTEGER(open_rate), INTEGER(click_rate), {}(ip_address), STRING(subscribed_at), STRING(unsubscribed_at), STRING(created_at), STRING(updated_at), STRING(deleted_at), STRING(forget_at), [](fields), [](groups), STRING(account_id)} |
JSON Example
{
"label" : "Subscriber Created",
"name" : "subscriberCreated",
"type" : "mailerLite/v1/subscriberCreated"
}Subscriber Unsubscribed
Name: subscriberUnsubscribed
Triggers when a subscriber unsubscribes.
Type: DYNAMIC_WEBHOOK
Output
Type: OBJECT
Properties
| Name | Type | Description |
|---|---|---|
| data | OBJECT Properties{STRING(account_id), STRING(id), STRING(email), STRING(status), STRING(source), INTEGER(sent), INTEGER(opens_count), INTEGER(clicks_count), INTEGER(open_rate), INTEGER(click_rate), STRING(subscribed_at), STRING(created_at), STRING(updated_at), [](fields), [](groups)} |
JSON Example
{
"label" : "Subscriber Unsubscribed",
"name" : "subscriberUnsubscribed",
"type" : "mailerLite/v1/subscriberUnsubscribed"
}What to do if your action is not listed here?
If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.
To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.
Additional Instructions
How to find the Subscriber ID
- Login into your MailerLite account.
- Click on Subscribers in left side panel.
- Find subscriber you want to find ID of and click on it.
- In the URL from your browser's address bar.
- Copy the value that appears after
subscribers/.
Example
Given the URL:
https://dashboard.mailerlite.com/subscribers/190607012343580336The Subscriber ID is:
190607012343580336How to find the Group ID
- Login into your MailerLite account.
- Click on Subscribers in left side panel.
- Click on Groups tab.
- Find group you want to find ID of and click on View group.
- Copy the URL from your browser's address bar.
- Find the
groupquery parameter in the URL. - Copy the value that appears after
group=.
Example
Given the URL:
https://dashboard.mailerlite.com/subscribers?...&group=150651902266180716The Group ID is:
150651902266180716How is this guide?
Last updated on
Mailchimp
Mailchimp is a marketing automation and email marketing platform.
Map
Produces a new collection of values by mapping each value in list through defined task, in parallel. When execution is finished on all items, the `map` task will return a list of execution results in an order which corresponds to the order of the source list.